UNPKG

@loopback/docs

Version:
1,697 lines (1,696 loc) 578 kB
{ "metadata": { "toolPackage": "@microsoft/api-extractor", "toolVersion": "7.3.8", "schemaVersion": 1003, "oldestForwardsCompatibleVersion": 1001 }, "kind": "Package", "canonicalReference": "@loopback/rest!", "docComment": "", "name": "@loopback/rest", "members": [ { "kind": "EntryPoint", "canonicalReference": "@loopback/rest!", "name": "", "members": [ { "kind": "Interface", "canonicalReference": "@loopback/rest!ApiExplorerOptions:interface", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "export interface " }, { "kind": "Reference", "text": "ApiExplorerOptions" }, { "kind": "Content", "text": " " } ], "releaseTag": "Public", "name": "ApiExplorerOptions", "members": [ { "kind": "PropertySignature", "canonicalReference": "@loopback/rest!ApiExplorerOptions#disabled:member", "docComment": "/**\n * Set this flag to disable the built-in redirect to externally hosted API Explorer UI.\n */\n", "excerptTokens": [ { "kind": "Reference", "text": "disabled" }, { "kind": "Content", "text": "?: " }, { "kind": "Content", "text": "true" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "disabled", "propertyTypeTokenRange": { "startIndex": 2, "endIndex": 3 } }, { "kind": "PropertySignature", "canonicalReference": "@loopback/rest!ApiExplorerOptions#httpUrl:member", "docComment": "/**\n * URL for the API explorer served over `http` protocol to deal with mixed content security imposed by browsers as the spec is exposed over `http` by default. See https://github.com/strongloop/loopback-next/issues/1603\n */\n", "excerptTokens": [ { "kind": "Reference", "text": "httpUrl" }, { "kind": "Content", "text": "?: " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "httpUrl", "propertyTypeTokenRange": { "startIndex": 2, "endIndex": 3 } }, { "kind": "PropertySignature", "canonicalReference": "@loopback/rest!ApiExplorerOptions#url:member", "docComment": "/**\n * URL for the hosted API explorer UI default to https://loopback.io/api-explorer\n */\n", "excerptTokens": [ { "kind": "Reference", "text": "url" }, { "kind": "Content", "text": "?: " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "url", "propertyTypeTokenRange": { "startIndex": 2, "endIndex": 3 } } ], "extendsTokenRanges": [] }, { "kind": "Function", "canonicalReference": "@loopback/rest!assignRouterSpec:function(1)", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "export declare function " }, { "kind": "Reference", "text": "assignRouterSpec" }, { "kind": "Content", "text": "(" }, { "kind": "Reference", "text": "target" }, { "kind": "Content", "text": ": " }, { "kind": "Reference", "text": "RouterSpec" }, { "kind": "Content", "text": ", " }, { "kind": "Reference", "text": "additions" }, { "kind": "Content", "text": ": " }, { "kind": "Reference", "text": "RouterSpec" }, { "kind": "Content", "text": "): " }, { "kind": "Content", "text": "void" }, { "kind": "Content", "text": ";" } ], "returnTypeTokenRange": { "startIndex": 11, "endIndex": 12 }, "releaseTag": "Public", "overloadIndex": 1, "parameters": [ { "parameterName": "target", "parameterTypeTokenRange": { "startIndex": 5, "endIndex": 6 } }, { "parameterName": "additions", "parameterTypeTokenRange": { "startIndex": 9, "endIndex": 10 } } ], "name": "assignRouterSpec" }, { "kind": "Class", "canonicalReference": "@loopback/rest!BaseRoute:class", "docComment": "/**\n * Base implementation of RouteEntry\n */\n", "excerptTokens": [ { "kind": "Content", "text": "export declare abstract class " }, { "kind": "Reference", "text": "BaseRoute" }, { "kind": "Content", "text": " implements " }, { "kind": "Reference", "text": "RouteEntry" }, { "kind": "Content", "text": " " } ], "releaseTag": "Public", "name": "BaseRoute", "members": [ { "kind": "Constructor", "canonicalReference": "@loopback/rest!BaseRoute:constructor(1)", "docComment": "/**\n * Construct a new route\n *\n * @param verb - http verb\n *\n * @param path - http request path pattern\n *\n * @param spec - OpenAPI operation spec\n */\n", "excerptTokens": [ { "kind": "Content", "text": "constructor(" }, { "kind": "Reference", "text": "verb" }, { "kind": "Content", "text": ": " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ", " }, { "kind": "Reference", "text": "path" }, { "kind": "Content", "text": ": " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ", " }, { "kind": "Reference", "text": "spec" }, { "kind": "Content", "text": ": " }, { "kind": "Reference", "text": "OperationObject" }, { "kind": "Content", "text": ");" } ], "releaseTag": "Public", "overloadIndex": 1, "parameters": [ { "parameterName": "verb", "parameterTypeTokenRange": { "startIndex": 3, "endIndex": 4 } }, { "parameterName": "path", "parameterTypeTokenRange": { "startIndex": 7, "endIndex": 8 } }, { "parameterName": "spec", "parameterTypeTokenRange": { "startIndex": 11, "endIndex": 12 } } ] }, { "kind": "Method", "canonicalReference": "@loopback/rest!BaseRoute#describe:member(1)", "docComment": "", "excerptTokens": [ { "kind": "Reference", "text": "describe" }, { "kind": "Content", "text": "(): " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ";" } ], "isStatic": false, "returnTypeTokenRange": { "startIndex": 2, "endIndex": 3 }, "releaseTag": "Public", "overloadIndex": 1, "parameters": [], "name": "describe" }, { "kind": "Method", "canonicalReference": "@loopback/rest!BaseRoute#invokeHandler:member(1)", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "abstract " }, { "kind": "Reference", "text": "invokeHandler" }, { "kind": "Content", "text": "(" }, { "kind": "Reference", "text": "requestContext" }, { "kind": "Content", "text": ": " }, { "kind": "Reference", "text": "Context" }, { "kind": "Content", "text": ", " }, { "kind": "Reference", "text": "args" }, { "kind": "Content", "text": ": " }, { "kind": "Reference", "text": "OperationArgs" }, { "kind": "Content", "text": "): " }, { "kind": "Reference", "text": "Promise" }, { "kind": "Content", "text": "<" }, { "kind": "Reference", "text": "OperationRetval" }, { "kind": "Content", "text": ">" }, { "kind": "Content", "text": ";" } ], "isStatic": false, "returnTypeTokenRange": { "startIndex": 11, "endIndex": 15 }, "releaseTag": "Public", "overloadIndex": 1, "parameters": [ { "parameterName": "requestContext", "parameterTypeTokenRange": { "startIndex": 5, "endIndex": 6 } }, { "parameterName": "args", "parameterTypeTokenRange": { "startIndex": 9, "endIndex": 10 } } ], "name": "invokeHandler" }, { "kind": "Property", "canonicalReference": "@loopback/rest!BaseRoute#path:member", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "readonly " }, { "kind": "Reference", "text": "path" }, { "kind": "Content", "text": ": " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "path", "propertyTypeTokenRange": { "startIndex": 3, "endIndex": 4 }, "isStatic": false }, { "kind": "Property", "canonicalReference": "@loopback/rest!BaseRoute#spec:member", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "readonly " }, { "kind": "Reference", "text": "spec" }, { "kind": "Content", "text": ": " }, { "kind": "Reference", "text": "OperationObject" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "spec", "propertyTypeTokenRange": { "startIndex": 3, "endIndex": 4 }, "isStatic": false }, { "kind": "Method", "canonicalReference": "@loopback/rest!BaseRoute#updateBindings:member(1)", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "abstract " }, { "kind": "Reference", "text": "updateBindings" }, { "kind": "Content", "text": "(" }, { "kind": "Reference", "text": "requestContext" }, { "kind": "Content", "text": ": " }, { "kind": "Reference", "text": "Context" }, { "kind": "Content", "text": "): " }, { "kind": "Content", "text": "void" }, { "kind": "Content", "text": ";" } ], "isStatic": false, "returnTypeTokenRange": { "startIndex": 7, "endIndex": 8 }, "releaseTag": "Public", "overloadIndex": 1, "parameters": [ { "parameterName": "requestContext", "parameterTypeTokenRange": { "startIndex": 5, "endIndex": 6 } } ], "name": "updateBindings" }, { "kind": "Property", "canonicalReference": "@loopback/rest!BaseRoute#verb:member", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "readonly " }, { "kind": "Reference", "text": "verb" }, { "kind": "Content", "text": ": " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "verb", "propertyTypeTokenRange": { "startIndex": 3, "endIndex": 4 }, "isStatic": false } ], "implementsTokenRanges": [ { "startIndex": 3, "endIndex": 5 } ] }, { "kind": "TypeAlias", "canonicalReference": "@loopback/rest!BindElement:type", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "export declare type " }, { "kind": "Reference", "text": "BindElement" }, { "kind": "Content", "text": " = " }, { "kind": "Content", "text": "(" }, { "kind": "Reference", "text": "key" }, { "kind": "Content", "text": ": string) => " }, { "kind": "Reference", "text": "Binding" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "BindElement", "typeTokenRange": { "startIndex": 3, "endIndex": 7 } }, { "kind": "Class", "canonicalReference": "@loopback/rest!BindElementProvider:class", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "export declare class " }, { "kind": "Reference", "text": "BindElementProvider" }, { "kind": "Content", "text": " implements " }, { "kind": "Reference", "text": "Provider" }, { "kind": "Content", "text": "<" }, { "kind": "Reference", "text": "BindElement" }, { "kind": "Content", "text": "> " } ], "releaseTag": "Public", "name": "BindElementProvider", "members": [ { "kind": "Constructor", "canonicalReference": "@loopback/rest!BindElementProvider:constructor(1)", "docComment": "/**\n * Constructs a new instance of the `BindElementProvider` class\n */\n", "excerptTokens": [ { "kind": "Content", "text": "constructor(" }, { "kind": "Reference", "text": "context" }, { "kind": "Content", "text": ": " }, { "kind": "Reference", "text": "Context" }, { "kind": "Content", "text": ");" } ], "releaseTag": "Public", "overloadIndex": 1, "parameters": [ { "parameterName": "context", "parameterTypeTokenRange": { "startIndex": 3, "endIndex": 4 } } ] }, { "kind": "Method", "canonicalReference": "@loopback/rest!BindElementProvider#action:member(1)", "docComment": "", "excerptTokens": [ { "kind": "Reference", "text": "action" }, { "kind": "Content", "text": "(" }, { "kind": "Reference", "text": "key" }, { "kind": "Content", "text": ": " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": "): " }, { "kind": "Reference", "text": "Binding" }, { "kind": "Content", "text": ";" } ], "isStatic": false, "returnTypeTokenRange": { "startIndex": 6, "endIndex": 7 }, "releaseTag": "Public", "overloadIndex": 1, "parameters": [ { "parameterName": "key", "parameterTypeTokenRange": { "startIndex": 4, "endIndex": 5 } } ], "name": "action" }, { "kind": "Property", "canonicalReference": "@loopback/rest!BindElementProvider#context:member", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "protected " }, { "kind": "Reference", "text": "context" }, { "kind": "Content", "text": ": " }, { "kind": "Reference", "text": "Context" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "context", "propertyTypeTokenRange": { "startIndex": 3, "endIndex": 4 }, "isStatic": false }, { "kind": "Method", "canonicalReference": "@loopback/rest!BindElementProvider#value:member(1)", "docComment": "", "excerptTokens": [ { "kind": "Reference", "text": "value" }, { "kind": "Content", "text": "(): " }, { "kind": "Reference", "text": "BindElement" }, { "kind": "Content", "text": ";" } ], "isStatic": false, "returnTypeTokenRange": { "startIndex": 2, "endIndex": 3 }, "releaseTag": "Public", "overloadIndex": 1, "parameters": [], "name": "value" } ], "implementsTokenRanges": [ { "startIndex": 3, "endIndex": 7 } ] }, { "kind": "Interface", "canonicalReference": "@loopback/rest!BodyParser:interface", "docComment": "/**\n * Interface to be implemented by body parser extensions\n */\n", "excerptTokens": [ { "kind": "Content", "text": "export interface " }, { "kind": "Reference", "text": "BodyParser" }, { "kind": "Content", "text": " " } ], "releaseTag": "Public", "name": "BodyParser", "members": [ { "kind": "PropertySignature", "canonicalReference": "@loopback/rest!BodyParser#name:member", "docComment": "/**\n * Name of the parser\n */\n", "excerptTokens": [ { "kind": "Reference", "text": "name" }, { "kind": "Content", "text": ": " }, { "kind": "Content", "text": "string | symbol" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "name", "propertyTypeTokenRange": { "startIndex": 2, "endIndex": 3 } }, { "kind": "MethodSignature", "canonicalReference": "@loopback/rest!BodyParser#parse:member(1)", "docComment": "/**\n * Parse the request body\n *\n * @param request - http request\n */\n", "excerptTokens": [ { "kind": "Reference", "text": "parse" }, { "kind": "Content", "text": "(" }, { "kind": "Reference", "text": "request" }, { "kind": "Content", "text": ": " }, { "kind": "Reference", "text": "Request" }, { "kind": "Content", "text": "): " }, { "kind": "Reference", "text": "Promise" }, { "kind": "Content", "text": "<" }, { "kind": "Reference", "text": "RequestBody" }, { "kind": "Content", "text": ">" }, { "kind": "Content", "text": ";" } ], "returnTypeTokenRange": { "startIndex": 6, "endIndex": 10 }, "releaseTag": "Public", "overloadIndex": 1, "parameters": [ { "parameterName": "request", "parameterTypeTokenRange": { "startIndex": 4, "endIndex": 5 } } ], "name": "parse" }, { "kind": "MethodSignature", "canonicalReference": "@loopback/rest!BodyParser#supports:member(1)", "docComment": "/**\n * Indicate if the given media type is supported\n *\n * @param mediaType - Media type\n */\n", "excerptTokens": [ { "kind": "Reference", "text": "supports" }, { "kind": "Content", "text": "(" }, { "kind": "Reference", "text": "mediaType" }, { "kind": "Content", "text": ": " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": "): " }, { "kind": "Content", "text": "boolean" }, { "kind": "Content", "text": ";" } ], "returnTypeTokenRange": { "startIndex": 6, "endIndex": 7 }, "releaseTag": "Public", "overloadIndex": 1, "parameters": [ { "parameterName": "mediaType", "parameterTypeTokenRange": { "startIndex": 4, "endIndex": 5 } } ], "name": "supports" } ], "extendsTokenRanges": [] }, { "kind": "TypeAlias", "canonicalReference": "@loopback/rest!BodyParserFunction:type", "docComment": "/**\n * Plain function for body parsing\n */\n", "excerptTokens": [ { "kind": "Content", "text": "export declare type " }, { "kind": "Reference", "text": "BodyParserFunction" }, { "kind": "Content", "text": " = " }, { "kind": "Content", "text": "(" }, { "kind": "Reference", "text": "request" }, { "kind": "Content", "text": ": " }, { "kind": "Reference", "text": "Request" }, { "kind": "Content", "text": ") => " }, { "kind": "Reference", "text": "Promise" }, { "kind": "Content", "text": "<" }, { "kind": "Reference", "text": "RequestBody" }, { "kind": "Content", "text": ">" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "BodyParserFunction", "typeTokenRange": { "startIndex": 3, "endIndex": 12 } }, { "kind": "Function", "canonicalReference": "@loopback/rest!compareRoute:function(1)", "docComment": "/**\n * Compare two routes by verb/path for sorting\n *\n * @param route1 - First route entry\n *\n * @param route2 - Second route entry\n */\n", "excerptTokens": [ { "kind": "Content", "text": "export declare function " }, { "kind": "Reference", "text": "compareRoute" }, { "kind": "Content", "text": "(" }, { "kind": "Reference", "text": "route1" }, { "kind": "Content", "text": ": " }, { "kind": "Reference", "text": "Pick" }, { "kind": "Content", "text": "<" }, { "kind": "Reference", "text": "RouteEntry" }, { "kind": "Content", "text": ", 'verb' | 'path'>" }, { "kind": "Content", "text": ", " }, { "kind": "Reference", "text": "route2" }, { "kind": "Content", "text": ": " }, { "kind": "Reference", "text": "Pick" }, { "kind": "Content", "text": "<" }, { "kind": "Reference", "text": "RouteEntry" }, { "kind": "Content", "text": ", 'verb' | 'path'>" }, { "kind": "Content", "text": "): " }, { "kind": "Content", "text": "number" }, { "kind": "Content", "text": ";" } ], "returnTypeTokenRange": { "startIndex": 17, "endIndex": 18 }, "releaseTag": "Public", "overloadIndex": 1, "parameters": [ { "parameterName": "route1", "parameterTypeTokenRange": { "startIndex": 5, "endIndex": 9 } }, { "parameterName": "route2", "parameterTypeTokenRange": { "startIndex": 12, "endIndex": 16 } } ], "name": "compareRoute" }, { "kind": "TypeAlias", "canonicalReference": "@loopback/rest!ControllerClass:type", "docComment": "/**\n * Controller class\n */\n", "excerptTokens": [ { "kind": "Content", "text": "export declare type " }, { "kind": "Reference", "text": "ControllerClass" }, { "kind": "Content", "text": "<" }, { "kind": "Reference", "text": "T" }, { "kind": "Content", "text": " extends " }, { "kind": "Reference", "text": "ControllerInstance" }, { "kind": "Content", "text": "> = " }, { "kind": "Reference", "text": "Constructor" }, { "kind": "Content", "text": "<" }, { "kind": "Reference", "text": "T" }, { "kind": "Content", "text": ">" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "ControllerClass", "typeParameters": [ { "typeParameterName": "T", "constraintTokenRange": { "startIndex": 5, "endIndex": 6 }, "defaultTypeTokenRange": { "startIndex": 0, "endIndex": 0 } } ], "typeTokenRange": { "startIndex": 7, "endIndex": 11 } }, { "kind": "TypeAlias", "canonicalReference": "@loopback/rest!ControllerFactory:type", "docComment": "/**\n * A factory function to create controller instances synchronously or asynchronously\n */\n", "excerptTokens": [ { "kind": "Content", "text": "export declare type " }, { "kind": "Reference", "text": "ControllerFactory" }, { "kind": "Content", "text": "<" }, { "kind": "Reference", "text": "T" }, { "kind": "Content", "text": " extends " }, { "kind": "Reference", "text": "ControllerInstance" }, { "kind": "Content", "text": "> = " }, { "kind": "Content", "text": "(" }, { "kind": "Reference", "text": "ctx" }, { "kind": "Content", "text": ": " }, { "kind": "Reference", "text": "Context" }, { "kind": "Content", "text": ") => " }, { "kind": "Reference", "text": "ValueOrPromise" }, { "kind": "Content", "text": "<" }, { "kind": "Reference", "text": "T" }, { "kind": "Content", "text": ">" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "ControllerFactory", "typeParameters": [ { "typeParameterName": "T", "constraintTokenRange": { "startIndex": 5, "endIndex": 6 }, "defaultTypeTokenRange": { "startIndex": 0, "endIndex": 0 } } ], "typeTokenRange": { "startIndex": 7, "endIndex": 16 } }, { "kind": "TypeAlias", "canonicalReference": "@loopback/rest!ControllerInstance:type", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "export declare type " }, { "kind": "Reference", "text": "ControllerInstance" }, { "kind": "Content", "text": " = " }, { "kind": "Content", "text": "{\n [" }, { "kind": "Reference", "text": "name" }, { "kind": "Content", "text": ": string]: any;\n} & object" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "ControllerInstance", "typeTokenRange": { "startIndex": 3, "endIndex": 6 } }, { "kind": "Class", "canonicalReference": "@loopback/rest!ControllerRoute:class", "docComment": "/**\n * A route backed by a controller\n */\n", "excerptTokens": [ { "kind": "Content", "text": "export declare class " }, { "kind": "Reference", "text": "ControllerRoute" }, { "kind": "Content", "text": "<" }, { "kind": "Reference", "text": "T" }, { "kind": "Content", "text": "> extends " }, { "kind": "Reference", "text": "BaseRoute" }, { "kind": "Content", "text": " " } ], "releaseTag": "Public", "typeParameters": [ { "typeParameterName": "T", "constraintTokenRange": { "startIndex": 0, "endIndex": 0 }, "defaultTypeTokenRange": { "startIndex": 0, "endIndex": 0 } } ], "name": "ControllerRoute", "members": [ { "kind": "Property", "canonicalReference": "@loopback/rest!ControllerRoute#_controllerCtor:member", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "protected readonly " }, { "kind": "Reference", "text": "_controllerCtor" }, { "kind": "Content", "text": ": " }, { "kind": "Reference", "text": "ControllerClass" }, { "kind": "Content", "text": "<" }, { "kind": "Reference", "text": "T" }, { "kind": "Content", "text": ">" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "_controllerCtor", "propertyTypeTokenRange": { "startIndex": 3, "endIndex": 7 }, "isStatic": false }, { "kind": "Property", "canonicalReference": "@loopback/rest!ControllerRoute#_controllerFactory:member", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "protected readonly " }, { "kind": "Reference", "text": "_controllerFactory" }, { "kind": "Content", "text": ": " }, { "kind": "Reference", "text": "ControllerFactory" }, { "kind": "Content", "text": "<" }, { "kind": "Reference", "text": "T" }, { "kind": "Content", "text": ">" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "_controllerFactory", "propertyTypeTokenRange": { "startIndex": 3, "endIndex": 7 }, "isStatic": false }, { "kind": "Property", "canonicalReference": "@loopback/rest!ControllerRoute#_controllerName:member", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "protected readonly " }, { "kind": "Reference", "text": "_controllerName" }, { "kind": "Content", "text": ": " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "_controllerName", "propertyTypeTokenRange": { "startIndex": 3, "endIndex": 4 }, "isStatic": false }, { "kind": "Property", "canonicalReference": "@loopback/rest!ControllerRoute#_methodName:member", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "protected readonly " }, { "kind": "Reference", "text": "_methodName" }, { "kind": "Content", "text": ": " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "_methodName", "propertyTypeTokenRange": { "startIndex": 3, "endIndex": 4 }, "isStatic": false }, { "kind": "Constructor", "canonicalReference": "@loopback/rest!ControllerRoute:constructor(1)", "docComment": "/**\n * Construct a controller based route\n *\n * @param verb - http verb\n *\n * @param path - http request path\n *\n * @param spec - OpenAPI operation spec\n *\n * @param controllerCtor - Controller class\n *\n * @param controllerFactory - A factory function to create a controller instance\n *\n * @param methodName - Controller method name, default to `x-operation-name`\n */\n", "excerptTokens": [ { "kind": "Content", "text": "constructor(" }, { "kind": "Reference", "text": "verb" }, { "kind": "Content", "text": ": " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ", " }, { "kind": "Reference", "text": "path" }, { "kind": "Content", "text": ": " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ", " }, { "kind": "Reference", "text": "spec" }, { "kind": "Content", "text": ": " }, { "kind": "Reference", "text": "OperationObject" }, { "kind": "Content", "text": ", " }, { "kind": "Reference", "text": "controllerCtor" },